%
% DDS_ring.m
%
clc
clear all
close all
%
s         = input('   s         = ');
view_iter = input('   view_iter = ');
%
theta = 0;
%
    figure
    hold on
    axis([-1.5 1.5 -1.5 1.5])
for ii = 1:view_iter
    disp([' #iter = ',num2str(ii)])
    x = cos(theta);
    y = sin(theta);
    
    theta = theta + s;
    
    plot(x,y,'.')
    drawnow
end

%